Set databases as read-only or switchover to secondary datacenter
Closed, ResolvedPublic

Description

Blocker for several task related to maintenance:

  • Decomission old eqiad db masters
  • Apply long-running schema changes.

It requires either set shards in read only mode (it can be done 1 shard at a time, but it may be extended) or failover to a secondary datacenter and temporarily stop replication.

jcrespo created this task.Jun 28 2016, 10:54 AM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptJun 28 2016, 10:54 AM
jcrespo renamed this task from Depool all eqiad hosts from mediawiki to Set databases as read-only or switchover to secondary datacenter.Jul 12 2016, 10:17 AM
jcrespo updated the task description. (Show Details)
jcrespo triaged this task as Normal priority.Jul 12 2016, 10:20 AM
jcrespo closed this task as Resolved.Apr 21 2017, 8:38 AM
jcrespo claimed this task.